| Kea 3.0.2-git

io_endpoint.cc File Reference
`#include <config.h>`
`#include <asiolink/asio_wrapper.h>`
`#include <asiolink/io_address.h>`
`#include <asiolink/io_error.h>`
`#include <asiolink/io_endpoint.h>`
`#include <asiolink/tcp_endpoint.h>`
`#include <asiolink/udp_endpoint.h>`
`#include <boost/lexical_cast.hpp>`
`#include <cassert>`
`#include <unistd.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
Include dependency graph for io_endpoint.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink

## Functions
ostream & | isc::asiolink::operator<< (std::ostream &os, const IOEndpoint &endpoint)
| Insert the `IOEndpoint` as a string into stream.